Bug 1186375 - (CVE-2021-28903) VUL-0: CVE-2021-28903: libyang: A stack overflow in libyang <= v1.0.225 can cause a denial of service through function lyxml_parse_mem().
(CVE-2021-28903)
VUL-0: CVE-2021-28903: libyang: A stack overflow in libyang <= v1.0.225 can c...
Status: NEW
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P2 - High : Major
: ---
Assigned To: Martin Hauke
Security Team bot
https://smash.suse.de/issue/298855/
CVSSv3.1:SUSE:CVE-2021-28903:7.5:(AV:...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2021-05-24 08:56 UTC by Gianluca Gabrielli
Modified: 2022-09-12 10:23 UTC (History)
5 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gianluca Gabrielli 2021-05-24 08:56:26 UTC
CVE-2021-28903

A stack overflow in libyang <= v1.0.225 can cause a denial of service through
function lyxml_parse_mem(). lyxml_parse_elem() function will be called
recursively, which will consume stack space and lead to crash.

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2021-28903
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2021-28903
https://github.com/CESNET/libyang/issues/1453
Comment 1 Gianluca Gabrielli 2021-05-24 08:56:43 UTC
Affected packages:

 - SUSE:SLE-15-SP3:Update/libyang  1.0.184
 - openSUSE:Factory/libyang        1.0.184

Upstream patch [0].

[0] https://github.com/CESNET/libyang/commit/298b30ea4ebee137226acf9bb38678bd82704582.patch
Comment 2 Thomas Leroy 2022-08-10 14:35:37 UTC
(In reply to Gianluca Gabrielli from comment #1)
> Affected packages:
> 
>  - SUSE:SLE-15-SP3:Update/libyang  1.0.184

Hi, could you please provide a fix for this bug please? :)
Comment 6 Petr Gajdos 2022-09-08 13:03:06 UTC
Thanks to Danilo Spinella, done for 15sp3/libyang. Reassigning to openSUSE maintainer.

When done, please reassign to security-team@suse.de.

Might be that libyang in Factory is not affected at all. Could you please help us by stating this fact in *.changes file?
Comment 7 Swamp Workflow Management 2022-09-12 10:23:31 UTC
SUSE-SU-2022:3245-1: An update that fixes four vulnerabilities is now available.

Category: security (important)
Bug References: 1186374,1186375,1186376,1186378
CVE References: CVE-2021-28902,CVE-2021-28903,CVE-2021-28904,CVE-2021-28906
JIRA References: 
Sources used:
openSUSE Leap 15.4 (src):    libyang-1.0.184-150300.3.6.1
openSUSE Leap 15.3 (src):    libyang-1.0.184-150300.3.6.1
SUSE Linux Enterprise Module for Server Applications 15-SP4 (src):    libyang-1.0.184-150300.3.6.1
SUSE Linux Enterprise Module for Server Applications 15-SP3 (src):    libyang-1.0.184-150300.3.6.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.